com.fasterxml.jackson.module.noctordeser

## Class NoCtorModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.module.noctordeser.NoCtorDeserModule
    - - com.fasterxml.jackson.module.noctordeser.NoCtorModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned

  Deprecated.
  Incorrectly named; use `NoCtorDeserModule` instead

      @Deprecated
      public class NoCtorModule
      extends NoCtorDeserModule

  Since:
    2.13

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoCtorModule()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.module.noctordeser.NoCtorDeserModule

      `getModuleName, setupModule, version`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getDependencies, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoCtorModule

          public NoCtorModule()

      Deprecated.

Copyright © 2022 FasterXML. All rights reserved.